
Foreman - Bug #12938

Hiding a smart variable causes the value field to be filled by autofill with the user's password

12/24/2015 04:55 AM - Tomer Brisker

Status: Resolved   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3005

  

Description

This occurs when accessing the lookup key from the relevant lookup key index, or if the class does not have any hidden fields when

loaded.

This is because there is no fake password field in the form.

Related issues:

Related to Foreman - Bug #13741: Parameter with multiline value gets corrupte... Closed 02/16/2016

History

#1 - 12/24/2015 04:59 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3005 added

#2 - 12/24/2015 05:22 AM - Tomer Brisker

- Subject changed from hiding a smart variable/class parameter causes the value field to be filled by autofill with the user's password to Hiding a smart

variable causes the value field to be filled by autofill with the user's password

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/foreman/pull/3005)

#3 - 12/24/2015 05:22 AM - Tomer Brisker

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3005 added

#4 - 05/08/2016 09:57 AM - Tomer Brisker

- Related to Bug #13741: Parameter with multiline value gets corrupted when set as hidden added

#5 - 05/08/2016 09:58 AM - Tomer Brisker

- Status changed from Ready For Testing to Resolved

This has been fixed by the fix for #13741.
